digiKam 5.8.0 - Release date: 2018-01-14

*****************************************************************************************************
NEW FEATURES:

General      : Add support to OpenCV 3.4.x.
General      : Updated internal Libraw to last 0.18.6.
General      : New Upnp/Dlna media server to share collections on local network.

DropBox      : tool ported AuthO2 API.

*****************************************************************************************************
BUGFIXES:

001 --> 382364 - Segfault after saying "no" to locale mismatch warning question.
002 --> 342352 - Relocate "Show tracks on map" option on GUI.
003 --> 132483 - Add new tool to clone and remove dust spots or other unwanted objects from a photo.
004 --> 233718 - wish: add healer tool (from Gimp) to enable the user to remove spots easily.
005 --> 281892 - in-painting crash.
006 --> 304002 - Segfault when using inpainting.
007 --> 301528 - In-painting enhance effect crashes digikam image editor.
008 --> 179807 - Inpainting tool stuck at 0%.
009 --> 277739 - Showfoto crash.
010 --> 348344 - Crash when in Image Editor I select an image area and click Enhance->in-painting.
011 --> 131446 - Using inpainting tool crashes digiKam.
012 --> 276962 - Inpainting tool crashed.
013 --> 184731 - Cannot apply inpainting, it just hangs.
014 --> 232926 - In-painting causes digikam to lock up.
015 --> 319632 - digiKam crashes when in-painting applied to photo.
016 --> 274199 - digiKam crashed when using "inpainting" tool.
017 --> 278941 - Crash when trying to perform "In-Painting".
018 --> 154829 - In-painting tool doesn't use greycstoration threads.
019 --> 105632 - CImg tools crashes digiKam.
020 --> 384366 - Configuration of different host port is not saved.
021 --> 375483 - Wrong history on images taken with Samsung S3 [patch].
022 --> 384399 - Getting dialog asking for "perform also on grouped images?" when no grouped images are selected.
023 --> 384424 - Same expression in both branches of ternary operator in DMetadata.
024 --> 369517 - digiKam from 5.7.0 tarball installs libvkontakte translations even if libvkontakte is disabled.
025 --> 384079 - High CPU usage on Import when color management is enabled.
026 --> 384425 - Suspicious condition in dcraw_emu CLI tool source code.
027 --> 380333 - Right click - Group and Menu - View - Group do not match.
028 --> 160893 - Use UPNP server as image database.
029 --> 384642 - Geolocation doesn't appear in digiKam for MacOS and Windows : Marble header files are not installed, only the libraries.
030 --> 384753 - Crash / lock up when setting Icon View font in settings/configure.
031 --> 379956 - Can't open a file with a shell script from digiKam.
032 --> 384917 - Focus in face text field after adding a face manually should NOT affect Arrow Up and Down function.
033 --> 351866 - Make focus to input field after adding a face rectangle as an option and not by default.
034 --> 384696 - New Lut3D preset [patch].
035 --> 384976 - Missing menu items.
036 --> 378082 - Several small new bugs in Geolocation Editor.
037 --> 379825 - Conversion of DNG files to DNG with metadata loss - maybe add warning.
038 --> 315580 - digiKam crashed after I changed the DLNA implementation from "HUPnP API" to "miniDLNA".
039 --> 316126 - digiKam crashed when choosing dlna export.
040 --> 269929 - DLNA interface : Materialize searches using "virtual albums" containing images by links.
041 --> 384858 - Only last picture added to email.
042 --> 384898 - digiKam issue.
043 --> 385280 - digikam does not use the native Plasma file dialog under Plasma.
044 --> 385315 - Tools not available in digikam menu.
045 --> 385433 - Error file numbering.
046 --> 385467 - Cannot Add Or Edit Bookmarks / No tools loaded.
047 --> 385368 - digiKam causes my machine to blue screen (crash) during installation on Windows 10 while check process in memory.
048 --> 329391 - digiKam creates 'Document Name' metadata with unreadable characters (encoding problem of accents).
049 --> 382247 - Showfoto crashed.
050 --> 385958 - "See more information on the Internet" For Bing Maps Doesn't Work In Windows.
051 --> 385960 - "See more information on the Internet" For loc.alize.us: No lat/long In URL.
052 --> 386028 - Database schema link from https://www.digikam.org/documentation/ leads to an useless location.
053 --> 385592 - digiKam segfaults occasionally, when renaming/moving multiple images [patch].
054 --> 382312 - digiKam crashes when renaming.
055 --> 365337 - Install to non-system volume permitted but fails.
056 --> 385338 - Remember last map view.
057 --> 386123 - Properties view does not include label properties
058 --> 371968 - Display of captions in caption editing tab broken unless caption ends in a newline.
059 --> 386296 - New Persons Tag aren't listed in People tag collection.
060 --> 312551 - ShowFoto displays camera jpegs with AdobeRGB DCF information with a blue color cast.
061 --> 375633 - Two buttons in Map tab on the Right Sidebar are not working.
062 --> 342689 - Map in image/geolocalisation is always at minimum zoom.
063 --> 365744 - GPS information not found in 4.12, but existing in the JPG files.
064 --> 386335 - Use a different shortcut for right panel zoom to 100%.
065 --> 382818 - Rotating a picture ends in crash.
066 --> 368734 - Moving a hierarchy of tags (a tag with subtags) doesn't work and can lead to losing the complete hierarchy.
067 --> 385269 - [DK 5.7] database migration sqlite -> mysql external server fails.
068 --> 386663 - Crash with Samsung Galaxy S7 in the import tool.
069 --> 384849 - Database dropped when network collection not mounted.
070 --> 386874 - Cursor changes to forbidden symbol when draggingg picture(s) to map.
071 --> 381432 - Olympus ORF files to DNG conversion fails in Windows 10.
072 --> 385471 - Geolocation Editor Opens Map To A Random Location.
073 --> 387000 - GPS Longitude Decimalisation Appears Incorrect In Map.
074 --> 386785 - Change needed for separator in ignore list (currently blank space).
075 --> 375346 - Many tags disappeared from database.
076 --> 383326 - Moving a tag does not update the parent tag correctly
077 --> 386606 - Tags search is broken after moving tags (invalid lft/rgt columns).
078 --> 386676 - Multi-processor conversion.
079 --> 342427 - Timing issues when large GPX file is loaded and option "Show tracks on Map" is used with GoogleMaps.
080 --> 375569 - Wrong tags in tooltips.
081 --> 371578 - Untagged images no longer shown in "no tags" overview when removing existing tag.
082 --> 387171 - Advanced search by lens by single focal length.
083 --> 387165 - XMP files generated for Batchtool temporary files and not removed.
084 --> 228015 - Search by lens.
085 --> 378838 - Initializing MySQL/MariaDB database or migrating from SQLite cancels with DB errors.
086 --> 369083 - database migration sets wrong parent ids for tags.
087 --> 350574 - MIGRATION: MySQL to SQLite fails about Tags tree [patch].
088 --> 325654 - MIGRATION: tags are not shown afterwards, because pid has wrong value.
089 --> 385297 - Search results are case sensitive on MySQL remote database.
090 --> 373605 - Failed to update database schema from version 7 to version 8.
091 --> 286492 - MIGRATION : two SQLITE triggers applied for the same table is not supported by MySQL database.
092 --> 316690 - MIGRATION : Database conversion by default successfully erases all data.
093 --> 387326 - Send by Mail has no "Close" button, only "Finish" (disabled) and "Back".
094 --> 385426 - digiKam does not see external(USB) hard drives for adding to collections.
095 --> 387373 - digiKam does either show no photo in album or all photos of complete database (since Qt 5.9.3).
096 --> 305918 - File->Save changes does not always hide the original.
097 --> 376213 - Tag selection fails to find tagged photo's.
098 --> 377746 - Crash at startup.
099 --> 384853 - Ungrouping images is not working.
100 --> 378873 - Crash when trying to add album.
101 --> 373386 - digikam crashes when metadata is written to disk.
102 --> 150385 - Add transparent fonts support.
103 --> 387547 - Option To Reread Metadata From Images From Subfolders.
104 --> 370428 - Tool-Tip Text is Unreadable In File and digiKam Properties.
105 --> 382476 - Tag renaming issues.
106 --> 385438 - Search images with 2 tags should give images with the 2 tags, not all images with one of the two tags.
107 --> 383240 - digikam >5.3 do not run on Windows XP.
108 --> 375424 - Thumbnails are not being removed from AlbumsView after moving the images to Trash.
109 --> 373638 - digiKam doesn't show any files.
110 --> 376426 - Exit Full Screen does not restore maximized window.
111 --> 387364 - makeUpdates 8 to 9 Failure executing query.
112 --> 387792 - Action "Views" exists but does nothing
113 --> 355831 - MySQL Schema Improvements.
114 --> 371840 - Crashes while editing pictures meta data or rotating the picture.
115 --> 379986 - Cannot add collection.
116 --> 387892 - Crash in QtAV::VideoFrameExtractor.
117 --> 374355 - Video preview lags in the beginning.
118 --> 383020 - Only one GPS bookmark can be saved.
119 --> 111509 - Subalbums not supported by HTML export.
120 --> 129877 - can only batch process albums, not selected images.
121 --> 292050 - Sort by date does not work.
122 --> 121765 - wish: MySQL support for digiKam.
123 --> 293756 - Develop iOS client (iPhone, iPod, iPad).
124 --> 382688 - Tag cannot be shown in photo's metadata.
125 --> 261743 - Make duplicate image search available outside digiKam.
126 --> 344507 - Update slogan to include professional photographers.
127 --> 201772 - Slogan reflects poorly on the application capabilities.
128 --> 091542 - Add a keyboard shortcut for JPEG lossless rotation in album view.
129 --> 292578 - Windows 7 prof. 32Bits, Context Menu not fully visible.
130 --> 269084 - Crash when editing Geo-Location.
131 --> 229900 - digiKam crashed when moving folders into another folder.
132 --> 348756 - Crash on Startup.
133 --> 232221 - digiKam crashed while editing a photo.
134 --> 354468 - digiKam crashing when try to open color effects. No crash info.
135 --> 284141 - Crash while adjusting luminosity levels.
136 --> 334987 - Crashes during import from Nikon coolpix S01.
137 --> 340934 - Crash while starting image viewer with pictures selected by stars.
138 --> 298635 - Crashes when deleting.
139 --> 307745 - Crash while scanning at startup.
140 --> 222044 - crash on importing images from USB camera.
141 --> 208315 - digiKam did not create a new folder.
142 --> 237773 - Crash while download pictures mobile phone camera Samsung.
143 --> 222048 - digiKam doesn't start anymore having JPEG2000 picture in database.
144 --> 209455 - After slideshow screen blanks after 1 minute.
145 --> 130986 - Non-image files appear broken in html gallery.
146 --> 210756 - Rename dialog should not force to add numbers.
147 --> 387514 - Importing regular images from Canon EOS 600D crashes digikam.
148 --> 222047 - Crash while assigning 4 Stars to JPEG200 Picture.
149 --> 199340 - Reopening a cs4 tiff file with exif data.
150 --> 275529 - Crashes when copying one image from Canon Ixus to PC hard drive.
151 --> 237752 - digiKam crashes during work.
152 --> 233470 - digiKam crashed on downloading pictures from CF card.
153 --> 289144 - digiKam crashes during scan of memory card.
154 --> 284723 - digiKam crashed after trying to remove photos from device.
155 --> 237163 - Crash after multiple queued downloads.
156 --> 386063 - Crash on opening file dialog.
157 --> 190131 - sig SIGABRT when importing from Kodak Camera.
158 --> 183753 - digiKam crashes while detecting my camera.
159 --> 229793 - Drop image file in digiKam.
160 --> 187204 - Keeps crashing 6 (SIGABRT) import from camera.
161 --> 271473 - digiKam crashes reproducibly when scanning collection after re-organising underlying picture folders.
162 --> 192426 - Tried to open a picture in Gimp. The Picture opens in Gimp and digiKam crashes.
163 --> 241585 - digiKam hangs at 0% in editor when calling "Save as".
164 --> 191414 - Selecting "synchronize images with database" in album drop-down menu causes signal 6 (sigabrt).
165 --> 190202 - Crash when transfer image from camera.
166 --> 255520 - digiKam crashed while assigning tags to pictures.
167 --> 156599 - Bad date in header.
168 --> 242623 - The default product for Report Bug about metadata editor does not exist.
169 --> 094362 - Change permissions while importing images.
170 --> 152313 - I can't configure Intel Pocket Camera cs630. I can't get the photos.
171 --> 361982 - Browse tag clicking on a tag crashes digiKam.
172 --> 252200 - digiKam fails to compile.
173 --> 277046 - digiKam doesn't build with libpgf-6.11.24.
174 --> 121485 - Current camera images are hidden by cached images.
175 --> 146169 - Download images into Folder hierarchy (using exif-info).
176 --> 287186 - Import queued downloads does not work anymore.
177 --> 296817 - Unsort download of pictures.
178 --> 291541 - digiKam seems to be rewriting Metadata even if no change is made.
179 --> 296078 - Changes in the organization of tags are not saved when quitting digiKam.
180 --> 271021 - Result: stability improved.
181 --> 387958 - Core database: cannot process schema initialization (upgrade from 5.7).
182 --> 387960 - Failed build Calendar tool with kcalcore 17.12.
183 --> 387957 - Image Editor Launches without Image.
184 --> 387975 - Just after upgrade to 5.7.0 version, none pictures are shown.
185 --> 387976 - Remember aspect ratio.
186 --> 375317 - MYSQL: digikam crashes during face recognition.
187 --> 310050 - MYSQL : Slow database performance after canceling a large duplicate image search.
188 --> 385653 - Non handled sqlite exception because of lack of space.
189 --> 388121 - SQL schema update from version 8 to version 9 fails.
190 --> 388130 - Non-GUI commands should not require an X display.
191 --> 388147 - "More Tags..." Doesn't Open Captions Side Menu In Preview.
192 --> 388183 - Windows installer is not HiDPI ready.
193 --> 326406 - A picture without geolocalisation is localized in North Pole.
194 --> 387150 - Crash when syncing metadata from images to database.
195 --> 387764 - Gphoto2 camera drivers not installed by PKG Installer.
196 --> 388260 - Pressing <ENTER> on highlited name when browsing "Unknown" face tags will tag two photos instead of one.
197 --> 388275 - UpdateSchemaFromV8ToV9 fails due to duplicate entry for key albumRoot.
198 --> 388285 - Problem with MYSQL-Backend.
199 --> 375035 - Out of memory during face tagging.
200 --> 388329 - UpdateSchemaFromV8ToV9 fails with Cannot delete rows from table which is parent in a foreign key constraint.
201 --> 384577 - Rename of video files stalls and must click abort due to XMP sidecar.
202 --> 378587 - Geolocation hangs when opened twice.
203 --> 388362 - Images disappear appear from map and album by opening left sidebar.
204 --> 379987 - UpdateSchemaFromV7ToV8: Unable to execute query (MySQL specific).
205 --> 388368 - Mouse disappears in slide show.
206 --> 388437 - Current photo in the Image Editor is not selected in Albums view.
207 --> 384934 - Install failed on Windows 10.
208 --> 388351 - Use AppImage SDK version 10 instead 6 to be compatible with FireJail.
209 --> 388501 - UpdateSchemaFromV8ToV9 fails due to duplicate entry for key albumRoot.
210 --> 388467 - failed to migrate from schema 7 to 8.
211 --> 388591 - Rename malfunction.
212 --> 388610 - digiKam doesn't use native or desktop file dialogs.
213 --> 377444 - C++ runtime error.
214 --> 380148 - Windows installer causes BSOD during "Close Conflicting Programs".
215 --> 338555 - CatalystControlCenter.exe crash on digiKam installation.
216 --> 265025 - Usability issues with tagging unknown faces.
217 --> 216145 - Infinite Loop when scanning large folders.
218 --> 379546 - ZTE B2016 causes crash while coupling.
219 --> 384260 - Export to flickr includes un-checked tag group names.
220 --> 384826 - Flickr export broken.
221 --> 381969 - Cannot log on flickr exporter.
222 --> 388271 - Fix for flickr authentication generates URL that can't work on Windows.
223 --> 381354 - Dropbox export: API v1 deprecation.
224 --> 232516 - Importing photos from dropbox directory causes crash.
225 --> 386044 - digiKam Segfault on Dropbox export.
